Your message dated Tue, 09 Feb 2016 23:50:08 +0000
with message-id <e1ati2q-0003gj...@franck.debian.org>
and subject line Bug#799999: fixed in validator.js 4.7.1+dfsg1-1
has caused the Debian Bug report #799999,
regarding validator.js: FTBFS: Error: Module did not self-register
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
799999: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=799999
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: validator.js
Version: 3.17.0+dfsg1-1
Severity: serious
Justification: fails to build from source
User: reproducible-bui...@lists.alioth.debian.org
Usertags: ftbfs
X-Debbugs-Cc: reproducible-bui...@lists.alioth.debian.org

Dear Maintainer,

validator.js fails to build from source in unstable/amd64:

  [..]

     debian/rules override_dh_auto_test
  make[1]: Entering directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
  mocha --reporter spec
  (node) child_process: options.customFds option is deprecated. Use
  options.stdio instead.
  module.js:355
    Module._extensions[extension](this, filename);
                                 ^
  
  Error: Module did not self-register.
      at Error (native)
      at Module.load (module.js:355:32)
      at Function.Module._load (module.js:310:12)
      at Module.require (module.js:365:17)
      at require (module.js:384:17)
      at Object.<anonymous>
      (/usr/lib/nodejs/contextify/contextifyjs.js:1:77)
      at Module._compile (module.js:434:26)
      at Object.Module._extensions..js (module.js:452:10)
      at Module.load (module.js:355:32)
      at Function.Module._load (module.js:310:12)
      at Module.require (module.js:365:17)
      at require (module.js:384:17)
      at Object.<anonymous>
      (/tmp/buildd/validator.js-3.17.0+dfsg1/test/validators.js:3:18)
      at Module._compile (module.js:434:26)
      at Object.Module._extensions..js (module.js:452:10)
      at Module.load (module.js:355:32)
      at Function.Module._load (module.js:310:12)
      at Module.require (module.js:365:17)
      at require (module.js:384:17)
      at /usr/lib/nodejs/mocha/lib/mocha.js:172:27
      at Array.forEach (native)
      at Mocha.loadFiles (/usr/lib/nodejs/mocha/lib/mocha.js:169:14)
      at Mocha.run (/usr/lib/nodejs/mocha/lib/mocha.js:356:31)
      at Object.<anonymous> (/usr/lib/nodejs/mocha/bin/_mocha:366:16)
      at Module._compile (module.js:434:26)
      at Object.Module._extensions..js (module.js:452:10)
      at Module.load (module.js:355:32)
      at Function.Module._load (module.js:310:12)
      at Function.Module.runMain (module.js:475:10)
      at startup (node.js:117:18)
      at node.js:951:3
  debian/rules:14: recipe for target 'override_dh_auto_test' failed
  make[1]: *** [override_dh_auto_test] Error 1
  make[1]: Leaving directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
  debian/rules:8: recipe for target 'build' failed
  make: *** [build] Error 2
  dpkg-buildpackage: error: debian/rules build gave error exit status 2

  [..]

The full build log is attached or can be viewed here:

    
https://reproducible.debian.net/logs/unstable/amd64/validator.js_3.17.0+dfsg1-1.build1.log.gz


Regards,

-- 
      ,''`.
     : :'  :     Chris Lamb
     `. `'`      la...@debian.org / chris-lamb.co.uk
       `-
I: using fakeroot in build.
I: pbuilder: network access will be disabled during build
I: Current time: Wed Sep 23 18:08:32 GMT+12 2015
I: pbuilder-time-stamp: 1443074912
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/unstable-reproducible-base.tgz]
I: creating local configuration
I: copying local configuration
I: mounting /proc filesystem
I: mounting /run/shm filesystem
I: mounting /dev/pts filesystem
I: Mounting /dev/shm
I: Mounting /sys
I: policy-rc.d already exists
I: Installing the build-deps
 -> Attempting to satisfy build-dependencies
 -> Creating pbuilder-satisfydepends-dummy package
Package: pbuilder-satisfydepends-dummy
Version: 0.invalid.0
Architecture: amd64
Maintainer: Debian Pbuilder Team <pbuilder-ma...@lists.alioth.debian.org>
Description: Dummy package to satisfy dependencies with aptitude - created by 
pbuilder
 This package was created automatically by pbuilder to satisfy the
 build-dependencies of the package being currently built.
Depends: debhelper (>= 8), dh-buildinfo, nodejs, node-uglify, mocha, 
node-contextify
dpkg-deb: building package 'pbuilder-satisfydepends-dummy' in 
'/tmp/satisfydepends-aptitude/pbuilder-satisfydepends-dummy.deb'.
Selecting previously unselected package pbuilder-satisfydepends-dummy.
(Reading database ... 20290 files and directories currently installed.)
Preparing to unpack .../pbuilder-satisfydepends-dummy.deb ...
Unpacking pbuilder-satisfydepends-dummy (0.invalid.0) ...
dpkg: pbuilder-satisfydepends-dummy: dependency problems, but configuring 
anyway as you requested:
 pbuilder-satisfydepends-dummy depends on dh-buildinfo; however:
  Package dh-buildinfo is not installed.
 pbuilder-satisfydepends-dummy depends on nodejs; however:
  Package nodejs is not installed.
 pbuilder-satisfydepends-dummy depends on node-uglify; however:
  Package node-uglify is not installed.
 pbuilder-satisfydepends-dummy depends on mocha; however:
  Package mocha is not installed.
 pbuilder-satisfydepends-dummy depends on node-contextify; however:
  Package node-contextify is not installed.

Setting up pbuilder-satisfydepends-dummy (0.invalid.0) ...
Reading package lists...
Building dependency tree...
Reading state information...
Initializing package states...
Writing extended state information...
Building tag database...
pbuilder-satisfydepends-dummy is already installed at the requested version 
(0.invalid.0)
pbuilder-satisfydepends-dummy is already installed at the requested version 
(0.invalid.0)
The following NEW packages will be installed:
  dh-buildinfo{a} libgdk-pixbuf2.0-0{a} libgdk-pixbuf2.0-common{a} 
  libjbig0{a} libjpeg62-turbo{a} libjs-inherits{a} libnotify-bin{a} 
  libnotify4{a} libpng12-0{a} libssl1.0.0{a} libtiff5{a} libuv1{a} 
  libx11-6{a} libx11-data{a} libxau6{a} libxcb1{a} libxdmcp6{a} mocha{a} 
  node-amdefine{a} node-async{a} node-character-parser{a} node-commander{a} 
  node-constantinople{a} node-contextify{a} node-css{a} node-debug{a} 
  node-diff{a} node-glob{a} node-growl{a} node-inherits{a} node-jade{a} 
  node-lru-cache{a} node-minimatch{a} node-minimist{a} node-mkdirp{a} 
  node-monocle{a} node-once{a} node-optimist{a} node-promise{a} 
  node-readdirp{a} node-sigmund{a} node-source-map{a} node-transformers{a} 
  node-uglify{a} node-with{a} node-wordwrap{a} nodejs{a} 
0 packages upgraded, 47 newly installed, 0 to remove and 0 not upgraded.
Need to get 7061 kB of archives. After unpacking 26.8 MB will be used.
Writing extended state information...
Get: 1 http://ftp.de.debian.org/debian/ unstable/main libjpeg62-turbo amd64 
1:1.4.1-2 [126 kB]
Get: 2 http://ftp.de.debian.org/debian/ unstable/main libpng12-0 amd64 
1.2.50-2+b2 [172 kB]
Get: 3 http://ftp.de.debian.org/debian/ unstable/main libjbig0 amd64 2.1-3.1 
[30.7 kB]
Get: 4 http://ftp.de.debian.org/debian/ unstable/main libtiff5 amd64 4.0.5-1 
[220 kB]
Get: 5 http://ftp.de.debian.org/debian/ unstable/main libxau6 amd64 1:1.0.8-1 
[20.7 kB]
Get: 6 http://ftp.de.debian.org/debian/ unstable/main libxdmcp6 amd64 1:1.1.2-1 
[26.3 kB]
Get: 7 http://ftp.de.debian.org/debian/ unstable/main libxcb1 amd64 1.10-3+b1 
[44.4 kB]
Get: 8 http://ftp.de.debian.org/debian/ unstable/main libx11-data all 2:1.6.3-1 
[128 kB]
Get: 9 http://ftp.de.debian.org/debian/ unstable/main libx11-6 amd64 2:1.6.3-1 
[742 kB]
Get: 10 http://ftp.de.debian.org/debian/ unstable/main libgdk-pixbuf2.0-common 
all 2.32.0-1 [311 kB]
Get: 11 http://ftp.de.debian.org/debian/ unstable/main libgdk-pixbuf2.0-0 amd64 
2.32.0-1 [169 kB]
Get: 12 http://ftp.de.debian.org/debian/ unstable/main libnotify4 amd64 0.7.6-2 
[28.3 kB]
Get: 13 http://ftp.de.debian.org/debian/ unstable/main libssl1.0.0 amd64 
1.0.2d-1 [1274 kB]
Get: 14 http://ftp.de.debian.org/debian/ unstable/main dh-buildinfo all 0.11 
[18.3 kB]
Get: 15 http://ftp.de.debian.org/debian/ unstable/main libnotify-bin amd64 
0.7.6-2 [22.7 kB]
Get: 16 http://ftp.de.debian.org/debian/ unstable/main libuv1 amd64 1.7.4-2 
[78.4 kB]
Get: 17 http://ftp.de.debian.org/debian/ unstable/main nodejs amd64 
4.1.0~dfsg-3 [3193 kB]
Get: 18 http://ftp.de.debian.org/debian/ unstable/main node-async all 0.8.0-1 
[24.6 kB]
Get: 19 http://ftp.de.debian.org/debian/ unstable/main node-diff all 
1.4.0~dfsg-1 [14.8 kB]
Get: 20 http://ftp.de.debian.org/debian/ unstable/main node-minimist all 
1.2.0-1 [5588 B]
Get: 21 http://ftp.de.debian.org/debian/ unstable/main node-wordwrap all 
0.0.2-2 [5526 B]
Get: 22 http://ftp.de.debian.org/debian/ unstable/main node-optimist all 
0.6.1-1 [11.9 kB]
Get: 23 http://ftp.de.debian.org/debian/ unstable/main node-uglify all 2.4.15-5 
[70.4 kB]
Get: 24 http://ftp.de.debian.org/debian/ unstable/main libjs-inherits all 
2.0.1-3 [2682 B]
Get: 25 http://ftp.de.debian.org/debian/ unstable/main node-growl all 1.7.0-1 
[5084 B]
Get: 26 http://ftp.de.debian.org/debian/ unstable/main node-lru-cache all 
2.3.1-1 [5344 B]
Get: 27 http://ftp.de.debian.org/debian/ unstable/main node-sigmund all 1.0.0-1 
[3750 B]
Get: 28 http://ftp.de.debian.org/debian/ unstable/main node-minimatch all 
1.0.0-1 [13.9 kB]
Get: 29 http://ftp.de.debian.org/debian/ unstable/main node-readdirp all 
0.2.4-2 [10.6 kB]
Get: 30 http://ftp.de.debian.org/debian/ unstable/main node-monocle all 
1.1.51+dfsg-1 [5078 B]
Get: 31 http://ftp.de.debian.org/debian/ unstable/main node-promise all 5.0.0-1 
[10.3 kB]
Get: 32 http://ftp.de.debian.org/debian/ unstable/main node-inherits all 
2.0.1-3 [3568 B]
Get: 33 http://ftp.de.debian.org/debian/ unstable/main node-amdefine all 
0.1.0-1 [12.1 kB]
Get: 34 http://ftp.de.debian.org/debian/ unstable/main node-source-map all 
0.1.40-1 [24.2 kB]
Get: 35 http://ftp.de.debian.org/debian/ unstable/main node-css all 2.1.0-2 
[16.2 kB]
Get: 36 http://ftp.de.debian.org/debian/ unstable/main node-transformers all 
3.0.0-1 [11.4 kB]
Get: 37 http://ftp.de.debian.org/debian/ unstable/main node-character-parser 
all 1.2.1-1 [6278 B]
Get: 38 http://ftp.de.debian.org/debian/ unstable/main node-mkdirp all 0.5.0-1 
[4634 B]
Get: 39 http://ftp.de.debian.org/debian/ unstable/main node-commander all 
2.4.0-1 [14.9 kB]
Get: 40 http://ftp.de.debian.org/debian/ unstable/main node-constantinople all 
2.0.0-1 [3564 B]
Get: 41 http://ftp.de.debian.org/debian/ unstable/main node-with all 3.0.0-1 
[4504 B]
Get: 42 http://ftp.de.debian.org/debian/ unstable/main node-jade all 
1.5.0+dfsg-1 [65.0 kB]
Get: 43 http://ftp.de.debian.org/debian/ unstable/main node-debug all 
2.1.0+dfsg-2 [14.1 kB]
Get: 44 http://ftp.de.debian.org/debian/ unstable/main node-once all 1.1.1-1 
[2552 B]
Get: 45 http://ftp.de.debian.org/debian/ unstable/main node-glob all 4.0.5-1 
[13.1 kB]
Get: 46 http://ftp.de.debian.org/debian/ unstable/main mocha all 1.20.1-1 [55.4 
kB]
Get: 47 http://ftp.de.debian.org/debian/ unstable/main node-contextify amd64 
0.1.6-1 [16.0 kB]
Fetched 7061 kB in 0s (13.6 MB/s)
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libjpeg62-turbo:amd64.
(Reading database ... 
(Reading database ... 5%
(Reading database ... 10%
(Reading database ... 15%
(Reading database ... 20%
(Reading database ... 25%
(Reading database ... 30%
(Reading database ... 35%
(Reading database ... 40%
(Reading database ... 45%
(Reading database ... 50%
(Reading database ... 55%
(Reading database ... 60%
(Reading database ... 65%
(Reading database ... 70%
(Reading database ... 75%
(Reading database ... 80%
(Reading database ... 85%
(Reading database ... 90%
(Reading database ... 95%
(Reading database ... 100%
(Reading database ... 20290 files and directories currently installed.)
Preparing to unpack .../libjpeg62-turbo_1%3a1.4.1-2_amd64.deb ...
Unpacking libjpeg62-turbo:amd64 (1:1.4.1-2) ...
Selecting previously unselected package libpng12-0:amd64.
Preparing to unpack .../libpng12-0_1.2.50-2+b2_amd64.deb ...
Unpacking libpng12-0:amd64 (1.2.50-2+b2) ...
Selecting previously unselected package libjbig0:amd64.
Preparing to unpack .../libjbig0_2.1-3.1_amd64.deb ...
Unpacking libjbig0:amd64 (2.1-3.1) ...
Selecting previously unselected package libtiff5:amd64.
Preparing to unpack .../libtiff5_4.0.5-1_amd64.deb ...
Unpacking libtiff5:amd64 (4.0.5-1) ...
Selecting previously unselected package libxau6:amd64.
Preparing to unpack .../libxau6_1%3a1.0.8-1_amd64.deb ...
Unpacking libxau6:amd64 (1:1.0.8-1) ...
Selecting previously unselected package libxdmcp6:amd64.
Preparing to unpack .../libxdmcp6_1%3a1.1.2-1_amd64.deb ...
Unpacking libxdmcp6:amd64 (1:1.1.2-1) ...
Selecting previously unselected package libxcb1:amd64.
Preparing to unpack .../libxcb1_1.10-3+b1_amd64.deb ...
Unpacking libxcb1:amd64 (1.10-3+b1) ...
Selecting previously unselected package libx11-data.
Preparing to unpack .../libx11-data_2%3a1.6.3-1_all.deb ...
Unpacking libx11-data (2:1.6.3-1) ...
Selecting previously unselected package libx11-6:amd64.
Preparing to unpack .../libx11-6_2%3a1.6.3-1_amd64.deb ...
Unpacking libx11-6:amd64 (2:1.6.3-1) ...
Selecting previously unselected package libgdk-pixbuf2.0-common.
Preparing to unpack .../libgdk-pixbuf2.0-common_2.32.0-1_all.deb ...
Unpacking libgdk-pixbuf2.0-common (2.32.0-1) ...
Selecting previously unselected package libgdk-pixbuf2.0-0:amd64.
Preparing to unpack .../libgdk-pixbuf2.0-0_2.32.0-1_amd64.deb ...
Unpacking libgdk-pixbuf2.0-0:amd64 (2.32.0-1) ...
Selecting previously unselected package libnotify4:amd64.
Preparing to unpack .../libnotify4_0.7.6-2_amd64.deb ...
Unpacking libnotify4:amd64 (0.7.6-2) ...
Selecting previously unselected package libssl1.0.0:amd64.
Preparing to unpack .../libssl1.0.0_1.0.2d-1_amd64.deb ...
Unpacking libssl1.0.0:amd64 (1.0.2d-1) ...
Selecting previously unselected package dh-buildinfo.
Preparing to unpack .../dh-buildinfo_0.11_all.deb ...
Unpacking dh-buildinfo (0.11) ...
Selecting previously unselected package libnotify-bin.
Preparing to unpack .../libnotify-bin_0.7.6-2_amd64.deb ...
Unpacking libnotify-bin (0.7.6-2) ...
Selecting previously unselected package libuv1:amd64.
Preparing to unpack .../libuv1_1.7.4-2_amd64.deb ...
Unpacking libuv1:amd64 (1.7.4-2) ...
Selecting previously unselected package nodejs.
Preparing to unpack .../nodejs_4.1.0~dfsg-3_amd64.deb ...
Unpacking nodejs (4.1.0~dfsg-3) ...
Selecting previously unselected package node-async.
Preparing to unpack .../node-async_0.8.0-1_all.deb ...
Unpacking node-async (0.8.0-1) ...
Selecting previously unselected package node-diff.
Preparing to unpack .../node-diff_1.4.0~dfsg-1_all.deb ...
Unpacking node-diff (1.4.0~dfsg-1) ...
Selecting previously unselected package node-minimist.
Preparing to unpack .../node-minimist_1.2.0-1_all.deb ...
Unpacking node-minimist (1.2.0-1) ...
Selecting previously unselected package node-wordwrap.
Preparing to unpack .../node-wordwrap_0.0.2-2_all.deb ...
Unpacking node-wordwrap (0.0.2-2) ...
Selecting previously unselected package node-optimist.
Preparing to unpack .../node-optimist_0.6.1-1_all.deb ...
Unpacking node-optimist (0.6.1-1) ...
Selecting previously unselected package node-uglify.
Preparing to unpack .../node-uglify_2.4.15-5_all.deb ...
Unpacking node-uglify (2.4.15-5) ...
Selecting previously unselected package libjs-inherits.
Preparing to unpack .../libjs-inherits_2.0.1-3_all.deb ...
Unpacking libjs-inherits (2.0.1-3) ...
Selecting previously unselected package node-growl.
Preparing to unpack .../node-growl_1.7.0-1_all.deb ...
Unpacking node-growl (1.7.0-1) ...
Selecting previously unselected package node-lru-cache.
Preparing to unpack .../node-lru-cache_2.3.1-1_all.deb ...
Unpacking node-lru-cache (2.3.1-1) ...
Selecting previously unselected package node-sigmund.
Preparing to unpack .../node-sigmund_1.0.0-1_all.deb ...
Unpacking node-sigmund (1.0.0-1) ...
Selecting previously unselected package node-minimatch.
Preparing to unpack .../node-minimatch_1.0.0-1_all.deb ...
Unpacking node-minimatch (1.0.0-1) ...
Selecting previously unselected package node-readdirp.
Preparing to unpack .../node-readdirp_0.2.4-2_all.deb ...
Unpacking node-readdirp (0.2.4-2) ...
Selecting previously unselected package node-monocle.
Preparing to unpack .../node-monocle_1.1.51+dfsg-1_all.deb ...
Unpacking node-monocle (1.1.51+dfsg-1) ...
Selecting previously unselected package node-promise.
Preparing to unpack .../node-promise_5.0.0-1_all.deb ...
Unpacking node-promise (5.0.0-1) ...
Selecting previously unselected package node-inherits.
Preparing to unpack .../node-inherits_2.0.1-3_all.deb ...
Unpacking node-inherits (2.0.1-3) ...
Selecting previously unselected package node-amdefine.
Preparing to unpack .../node-amdefine_0.1.0-1_all.deb ...
Unpacking node-amdefine (0.1.0-1) ...
Selecting previously unselected package node-source-map.
Preparing to unpack .../node-source-map_0.1.40-1_all.deb ...
Unpacking node-source-map (0.1.40-1) ...
Selecting previously unselected package node-css.
Preparing to unpack .../node-css_2.1.0-2_all.deb ...
Unpacking node-css (2.1.0-2) ...
Selecting previously unselected package node-transformers.
Preparing to unpack .../node-transformers_3.0.0-1_all.deb ...
Unpacking node-transformers (3.0.0-1) ...
Selecting previously unselected package node-character-parser.
Preparing to unpack .../node-character-parser_1.2.1-1_all.deb ...
Unpacking node-character-parser (1.2.1-1) ...
Selecting previously unselected package node-mkdirp.
Preparing to unpack .../node-mkdirp_0.5.0-1_all.deb ...
Unpacking node-mkdirp (0.5.0-1) ...
Selecting previously unselected package node-commander.
Preparing to unpack .../node-commander_2.4.0-1_all.deb ...
Unpacking node-commander (2.4.0-1) ...
Selecting previously unselected package node-constantinople.
Preparing to unpack .../node-constantinople_2.0.0-1_all.deb ...
Unpacking node-constantinople (2.0.0-1) ...
Selecting previously unselected package node-with.
Preparing to unpack .../node-with_3.0.0-1_all.deb ...
Unpacking node-with (3.0.0-1) ...
Selecting previously unselected package node-jade.
Preparing to unpack .../node-jade_1.5.0+dfsg-1_all.deb ...
Unpacking node-jade (1.5.0+dfsg-1) ...
Selecting previously unselected package node-debug.
Preparing to unpack .../node-debug_2.1.0+dfsg-2_all.deb ...
Unpacking node-debug (2.1.0+dfsg-2) ...
Selecting previously unselected package node-once.
Preparing to unpack .../node-once_1.1.1-1_all.deb ...
Unpacking node-once (1.1.1-1) ...
Selecting previously unselected package node-glob.
Preparing to unpack .../node-glob_4.0.5-1_all.deb ...
Unpacking node-glob (4.0.5-1) ...
Selecting previously unselected package mocha.
Preparing to unpack .../mocha_1.20.1-1_all.deb ...
Unpacking mocha (1.20.1-1) ...
Selecting previously unselected package node-contextify.
Preparing to unpack .../node-contextify_0.1.6-1_amd64.deb ...
Unpacking node-contextify (0.1.6-1) ...
Processing triggers for man-db (2.7.3-1) ...
Setting up libjpeg62-turbo:amd64 (1:1.4.1-2) ...
Setting up libpng12-0:amd64 (1.2.50-2+b2) ...
Setting up libjbig0:amd64 (2.1-3.1) ...
Setting up libtiff5:amd64 (4.0.5-1) ...
Setting up libxau6:amd64 (1:1.0.8-1) ...
Setting up libxdmcp6:amd64 (1:1.1.2-1) ...
Setting up libxcb1:amd64 (1.10-3+b1) ...
Setting up libx11-data (2:1.6.3-1) ...
Setting up libx11-6:amd64 (2:1.6.3-1) ...
Setting up libgdk-pixbuf2.0-common (2.32.0-1) ...
Setting up libgdk-pixbuf2.0-0:amd64 (2.32.0-1) ...
Setting up libnotify4:amd64 (0.7.6-2) ...
Setting up libssl1.0.0:amd64 (1.0.2d-1) ...
Setting up dh-buildinfo (0.11) ...
Setting up libnotify-bin (0.7.6-2) ...
Setting up libuv1:amd64 (1.7.4-2) ...
Setting up nodejs (4.1.0~dfsg-3) ...
update-alternatives: using /usr/bin/nodejs to provide /usr/bin/js (js) in auto 
mode
Setting up node-async (0.8.0-1) ...
Setting up node-diff (1.4.0~dfsg-1) ...
Setting up node-minimist (1.2.0-1) ...
Setting up node-wordwrap (0.0.2-2) ...
Setting up node-optimist (0.6.1-1) ...
Setting up node-uglify (2.4.15-5) ...
Setting up libjs-inherits (2.0.1-3) ...
Setting up node-growl (1.7.0-1) ...
Setting up node-lru-cache (2.3.1-1) ...
Setting up node-sigmund (1.0.0-1) ...
Setting up node-minimatch (1.0.0-1) ...
Setting up node-readdirp (0.2.4-2) ...
Setting up node-monocle (1.1.51+dfsg-1) ...
Setting up node-promise (5.0.0-1) ...
Setting up node-inherits (2.0.1-3) ...
Setting up node-amdefine (0.1.0-1) ...
Setting up node-source-map (0.1.40-1) ...
Setting up node-css (2.1.0-2) ...
Setting up node-transformers (3.0.0-1) ...
Setting up node-character-parser (1.2.1-1) ...
Setting up node-mkdirp (0.5.0-1) ...
Setting up node-commander (2.4.0-1) ...
Setting up node-constantinople (2.0.0-1) ...
Setting up node-with (3.0.0-1) ...
Setting up node-jade (1.5.0+dfsg-1) ...
Setting up node-debug (2.1.0+dfsg-2) ...
Setting up node-once (1.1.1-1) ...
Setting up node-glob (4.0.5-1) ...
Setting up mocha (1.20.1-1) ...
Setting up node-contextify (0.1.6-1) ...
Processing triggers for libc-bin (2.19-22) ...
Reading package lists...
Building dependency tree...
Reading state information...
Reading extended state information...
Initializing package states...
Writing extended state information...
Building tag database...
 -> Finished parsing the build-deps
Reading package lists...
Building dependency tree...
Reading state information...
fakeroot is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
I: Copying source file
I: copying [validator.js_3.17.0+dfsg1-1.dsc]
I: copying [./validator.js_3.17.0+dfsg1.orig.tar.gz]
I: copying [./validator.js_3.17.0+dfsg1-1.debian.tar.xz]
I: Extracting source
gpgv: keyblock resource `/tmp/buildd/.gnupg/trustedkeys.gpg': file open error
gpgv: Signature made Mon Aug 25 09:01:11 2014 GMT+12 using RSA key ID 0F81D93B
gpgv: Can't check signature: public key not found
dpkg-source: warning: failed to verify signature on 
./validator.js_3.17.0+dfsg1-1.dsc
dpkg-source: info: extracting validator.js in validator.js-3.17.0+dfsg1
dpkg-source: info: unpacking validator.js_3.17.0+dfsg1.orig.tar.gz
dpkg-source: info: unpacking validator.js_3.17.0+dfsg1-1.debian.tar.xz
I: Building the package
I: Running cd tmp/buildd/*/ && env 
PATH="/usr/sbin:/usr/bin:/sbin:/bin:/usr/games" dpkg-buildpackage -us -uc  -b 
-rfakeroot
dpkg-buildpackage: source package validator.js
dpkg-buildpackage: source version 3.17.0+dfsg1-1
dpkg-buildpackage: source distribution unstable
dpkg-buildpackage: source changed by Tim Retout <dioc...@debian.org>
 dpkg-source --before-build validator.js-3.17.0+dfsg1
dpkg-buildpackage: host architecture amd64
 fakeroot debian/rules clean
dh clean
   dh_testdir
   dh_auto_clean
        make -j1 distclean
make[1]: Entering directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
make[1]: Leaving directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
   dh_clean
 debian/rules build
dh build
   dh_testdir
   dh_auto_configure
   debian/rules override_dh_auto_build
make[1]: Entering directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
uglifyjs validator.js > validator.min.js
(node) util.print is deprecated. Use console.log instead.
make[1]: Leaving directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
   debian/rules override_dh_auto_test
make[1]: Entering directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
mocha --reporter spec
(node) child_process: options.customFds option is deprecated. Use options.stdio 
instead.
module.js:355
  Module._extensions[extension](this, filename);
                               ^

Error: Module did not self-register.
    at Error (native)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> (/usr/lib/nodejs/contextify/contextifyjs.js:1:77)
    at Module._compile (module.js:434:26)
    at Object.Module._extensions..js (module.js:452:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at Object.<anonymous> 
(/tmp/buildd/validator.js-3.17.0+dfsg1/test/validators.js:3:18)
    at Module._compile (module.js:434:26)
    at Object.Module._extensions..js (module.js:452:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Module.require (module.js:365:17)
    at require (module.js:384:17)
    at /usr/lib/nodejs/mocha/lib/mocha.js:172:27
    at Array.forEach (native)
    at Mocha.loadFiles (/usr/lib/nodejs/mocha/lib/mocha.js:169:14)
    at Mocha.run (/usr/lib/nodejs/mocha/lib/mocha.js:356:31)
    at Object.<anonymous> (/usr/lib/nodejs/mocha/bin/_mocha:366:16)
    at Module._compile (module.js:434:26)
    at Object.Module._extensions..js (module.js:452:10)
    at Module.load (module.js:355:32)
    at Function.Module._load (module.js:310:12)
    at Function.Module.runMain (module.js:475:10)
    at startup (node.js:117:18)
    at node.js:951:3
debian/rules:14: recipe for target 'override_dh_auto_test' failed
make[1]: *** [override_dh_auto_test] Error 1
make[1]: Leaving directory '/tmp/buildd/validator.js-3.17.0+dfsg1'
debian/rules:8: recipe for target 'build' failed
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
E: Failed autobuilding of package
I: unmounting /sys filesystem
I: unmounting /dev/shm filesystem
I: unmounting dev/pts filesystem
I: unmounting run/shm filesystem
I: unmounting proc filesystem
I: cleaning the build env 
I: removing directory /var/cache/pbuilder/build//45670 and its subdirectories

--- End Message ---
--- Begin Message ---
Source: validator.js
Source-Version: 4.7.1+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
validator.js, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 799...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Retout <dioc...@debian.org> (supplier of updated validator.js package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 09 Feb 2016 22:37:04 +0000
Source: validator.js
Binary: libjs-validator node-validator
Architecture: source all
Version: 4.7.1+dfsg1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Javascript Maintainers 
<pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Tim Retout <dioc...@debian.org>
Description:
 libjs-validator - Javascript string validation and sanitization for browsers
 node-validator - Javascript string validation and sanitization for Node.js
Closes: 799999
Changes:
 validator.js (4.7.1+dfsg1-1) unstable; urgency=medium
 .
   * New upstream release.
     + Fixes FTBFS (Closes: #799999)
   * debian/control:
     + Add node-depd as build/runtime dependency.
     + Standards-Version bumped to 3.9.6; no changes needed.
   * debian/copyright: Update copyright years.
Checksums-Sha1:
 92c886925484cab6f5f76724cd63c13e1c755909 2151 validator.js_4.7.1+dfsg1-1.dsc
 834a1b1bb58931073b742d7a2807eae3d09b1396 27414 
validator.js_4.7.1+dfsg1.orig.tar.gz
 4544a23b605ec5d402d89626a25a0be8f04b00d5 2436 
validator.js_4.7.1+dfsg1-1.debian.tar.xz
 f9876d3b4ee893c6eae66576528cd0790bb8bddc 19346 
libjs-validator_4.7.1+dfsg1-1_all.deb
 20340bef25f8402236ec3f74d085a346fe689bf4 11694 
node-validator_4.7.1+dfsg1-1_all.deb
Checksums-Sha256:
 e7f1386d357b5ee933efcdd87268c5e0ea366e40c45842ec636b6d07741c3d8c 2151 
validator.js_4.7.1+dfsg1-1.dsc
 b2df654770b32116f6ebbc129b2cbde3b28fc8427622683623d01935702b88ba 27414 
validator.js_4.7.1+dfsg1.orig.tar.gz
 a3302fd2d53e5fb3807c8b58e1d1563fbfb33e28ad75c00f74eafc9096f65e93 2436 
validator.js_4.7.1+dfsg1-1.debian.tar.xz
 87c1641e0bb54f57c2aabce352e4e6b68c0fe32f9c1e75f924ecd70371d511e5 19346 
libjs-validator_4.7.1+dfsg1-1_all.deb
 40d35c5f4e3cb72933e4fda727904806b3e5ada7190c879fd621be4b9a2f4e8b 11694 
node-validator_4.7.1+dfsg1-1_all.deb
Files:
 2981eee85bafb7a1379e25e7f7699a66 2151 web extra validator.js_4.7.1+dfsg1-1.dsc
 79db745c7e58419c95dbab39cf9ba615 27414 web extra 
validator.js_4.7.1+dfsg1.orig.tar.gz
 54d7869775fc0642b60ddcf9b9762092 2436 web extra 
validator.js_4.7.1+dfsg1-1.debian.tar.xz
 de88cc94e31e22fdc4e39791ca69fa79 19346 web extra 
libjs-validator_4.7.1+dfsg1-1_all.deb
 ff9654bb7e5f1e985014245d029b32a8 11694 web extra 
node-validator_4.7.1+dfsg1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBAgAGBQJWundbAAoJEHt7QK0Pgdk7JlwQAJ24HLkHqGdNdK3R2dboxya5
4O2P1ky/NHRU8dzQq4ggtJOTowQPCfbouylLhc3iQ9Yj7Yy5ngOlAMSpua7RsA8F
+gI1G293cXcOhDoRCxjoC+wD5VrcL7LMdGK6fZiXmcoiSYNgSvoyJ6H8I5Wo3/PA
kL9cmk3jri3c++stJb7LbOYVq+CTx9n5QdbnDMmwwPfV5SNG5zyaBsR5MQhxdLtk
R4bhgYLRlOqxsOa2t+fj99no792V8VF5vU1Of9M/TVYt6WaQh3h/WdZ38HiZIGxZ
/REoL5I5i7b5i7eLb/N0lGES7VzqgKxjJ2TsTTVags2DqEuVh1QI3EsLL5uy14YJ
pNB83LKkSnY1qR7EgqxXzHs+MhiwELyUnCYGXl4IW5d7CbdrbbjyEnDmq5D1rIXv
uUJzgec7tyGhBWtv+/p+SV7VZQGs7u6BBABEWdfu0uy7ZV8zCz9XtQEDRSbTcywf
8CtmL8kmjSnF8OxTgAtGMyFiNgGeBZl4Z64eTDzeiZKils5vNLDpVyy7oWTjGAoB
HaVntDiTvBga5k+sexsHHzeKO9eRslYrpFqZR1E+xIzFdV2GcrNLv7YvZAC8n4AH
qSktQfoB61wx3DjRPdmDP4Mik91+ceqTMEnqhRIR3lY9jZBsl7kqAAiHnGXcPqp0
B3jzVhQ9Mg2SJWl5TVdJ
=ZqAI
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-javascript-devel mailing list
Pkg-javascript-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-javascript-devel

Reply via email to